with Ada.Strings.Unbounded; use Ada.Strings.Unbounded;

package Task1 is

  type Enum is (Blue, Red, Yellow);
  for Enum use (Blue => 6, Red => 9, Yellow => 11);

  type Etendue is range 1..10;
  for Etendue'Size use 4;

  Jour : Integer renames Noel.Jour;
  Reponse : String renames Chaine (1..10);

  task type Babbler (para1 : Integer) is
    entry Start (Message : Unbounded_String; Count : Natural);
    entry Debut2 (Acces: in T_Access);
  end Babbler;

  protected type Prot is
    entry Debut (Acces: in T_Access);
    entry Debut2  (Acces: in T_Access);
    procedure Fin (Acces : in T_Access);
    function Fin2 (Acces : in T_Access) return Integer;
  private
    entry Attendre (Acces: in T_Access);
    Nb_Access : Natural := 0;
    Nb_Tentatives : Natural;
  end Prot;

  Jour : Integer renames Noel.Jour;
  Reponse : String renames Chaine (1..10);
  Fin_Fichier : exception renames Ada.IO_Exceptions.End_Error;

  package Ada.Text_IO renames Text_IO;

  procedure Lire (A1 : Integer := 1) renames Read;

end Task1;
